/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.nolanlawson.japanesenamegenerator.v3;

import com.nolanlawson.japanesenamegenerator.v3.kanji.KanjiGenerator;
import com.nolanlawson.japanesenamegenerator.v3.kanji.KanjiResult;
import java.io.InputStream;
import java.util.List;

/**
 *
 * @author nolan
 */
public class TestKanjiGenerator {
    public static void main(String[] args) throws Exception {
        InputStream is = ClassLoader.getSystemResourceAsStream("kanji_dictionary.csv");
        KanjiGenerator kg = new KanjiGenerator(is);

        String[] names = new String[]{"nooran",
            "kenji",
            "kebin",
            "meria",
            "shia",
            "meebisu",
            "shanon",
            "adamu",
            "jasutin",
            "erikku",
            "rikku",
            "jetto",
            "katto",
            "batto",
            "sharon",
            "sheriru",
            "timu",
        "timoshii","torenton","kariru","eiden","erizabesu","andore","furanchesuka","gaburiera","gaburieru","pedoro","parisu","edowaado","reegan","karii","oorora","kiana","jakku","jeikobu","jeisu","erisa","airiin","shiizaa","ruuben","eijia","jeison","zakku","eiburii","tarin","jazumin","jaroddo","teitamu","miccheru","omaa","shindi","joshua","mariana","meranii","jurii","reegan","juria","burukku","ebonii","zooi","seera","noora","kari","osukaa","joodin","noemi","mashuu","aabin","ruukasu","adison","henrii","aanesuto","jamaaru","guroria","harii","bennetto","india","jurissa","joana","ronii","keidensu","erizabesu","roisu","bansu","danii","amaya","haarii","arison","anita","rorando","rinjii","jerii","herena","rondon","zakaraia","iidisu","konaa","yuujin","araseri","fabiora","erunesuto","yasumin","arekkusu","rokkii","ririan","rorena","ruushii","arekushisu","anasutashia","eburin","peiton","karurosu","arekku","daiana","daian","aran","ibetto","juriana","arieru","jurian","mandi","meison","danieru","judisu","kuentin","kurarensu","ramon","keira","renee","mariberu","reira","damarisu","naijeru","marisoru","gureidi","burokku","timoshii","aizakku","ruuben","girubaato","jon","jeneshisu","keitorin","heirii","aronso","arubaato","robin","heren","gurecchen","afumedo","matteo","besanii","chaarii","suteishii","buraisen","keirebu","rei","merubin","koobin","burandon","dereku","riisu","buruusu","weiron","bikutoria","marin","mario","marii","maria","hanna","dekuran","diikon","kurisuten","ruisu","seiji","sutefanii","sukai","arudo","monika","seshiria","reinii","kurisutofaa","iriana","yohanna","saburina","peiton","aaru","geiji","souru","jurian","erika","jurietto","merissa","ariiya","doryuu","meredisu","keison","edogaa","buraddo","darian","sariban","karen","kuin","tonii","katarina","purishira","samu","sairasu","noeru","an","rairii","kyarisuta","aabingu","ariana","maikeru","sabanna","beronika","iiden","jianna","kiigan","burenna","roorando","haamonii","eriotto","aizakku","seodoa","eberetto","nia","josefu","taison","rarissa","diran","ruukasu","kairu","chariti","jiin","supensaa","karina","furio","kari","roderikku","kiara","mohameddo","nikorasu","hose","iirai","joshu","jenebiibu","an'ya","maya","banessa","bobii","burukkurin","oorando","arisu","guwendorin","sebasuchan","diin","jaroddo","jenifaa","donarudo","dorian","jefurii","kuupaa","koora","seidii","zandaa","horuhe","sutefan","nabea","korii","jenifaa","emirio","emiria","eiden","emirii","taireru","makusuweru","maasharu","serujio","eiberu","andaason","jozefu","jia","jein","reirani","meranii","aishisu","kurisutaru","zara","jobanna","ijiikieru","esuteban","kashii","adereedo","randon","zein","buriana","burian","jobanni","horii","tia","tesu","unberuto","megan","korutesu","debon","miranda","eidoriana","eiburahamu","megan","damion","peiji","roora","roi","katarina","daruton","mairo","burenda","marisa","arana","dariru","mairuzu","hanna","tessa","marugariita","keirii","barentin","gai","korin","torento","iraiza","abudura","heizeru","rushiiru","ariina","kerushii","anjerin","koodi","terensu","karumen","eiburamu","janisu","rafaeru","eidan","makkenna","anjero","daaneru","rasseru","hekutaa","arieru","anjera","andi","kurisuchan","kurisutaru","daria","ashiina","keishii","karissa","amiria","mikaera","juriasu","juudo","keitorin","fiibii","kendorikku","tereru","nataasha","kenesu","winsuton","denisu","riisu","shidonii","antowan","osuwarudo","boo","kooruman","makkusu","riibai","benii","hassan","eiden","josefin","koruto","kooru","airiin","ferishia","wiroo","toori","maia","tiara","takkaa","jooden","ariisa","jeemuzu","feibian","diandore","kein","buraddorii","jakuson","pamera","kamurin","aiban","burukkusu","tachiana","kaaru","marina","kaara","kiisu","rinjii","goodon","harii","ijiikieru","reicheru","tamara","jooji","ian","kaason","guadarupe","arufureddo","dezumondo","oodorii","shoon","dimitoriasu","aran","danika","hirarii","shaarii","miruton","neisan","teransu","sofii","sofia","ana","kuroii","kureigu","puresuton","taria","aren","kebin","kasandora","gusutabo","zooi","gurashiera","jefaason","beirii","santiago","aamando","nooman","torisuten","makena","anissa","nooran","konaa","toreishii","amerika","misheru","aisha","karii","isumaeru","riido","madison","jaaman","adorufo","toroi","jakuriin","rorenzo","maderain","nadia","shiera","kyarorain","karoraina","samyueru","heirii","teiraa","afumado","mati","mairuzu","rojaa","amanda","maariin","izaberu","shoon","sutanrii","bureiden","oogasuto","dekusutaa","geiji","nasanieru","tania","maabin","kureiton","iraija","sedorikku","kaasuten","habieru","dario","daarin","keidensu","chaya","berinda","kiara","nikooru","oribaa","karina","maaku","barii","maaku","seshiria","jetto","mearii","marisa","andoresu","erubisu","andoryuu","reinii","andoria","rubii","izabera","izaberu","aanorudo","keitorin","antonii","kyandasu","maruseru","aibii","edowin","reira","fatima","emirii","rushian","deimon","sutaaringu","jefurii","kerubin","maira","buraisu","konaa","maakasu","arufureddo","samaa","furankii","noa","tobii","arissa","gyabin","harison","heirii","sherudon","matiasu","roozu","jareddo","rooza","kinbarii","kariimu","jeiku","zaion","berunarudo","buraian","baajinia","eimii","rebekka","kurisutiina","kurisutiin","patorikku","reicheru","kurei","zakarii","karissa","edi","giyerumo","joon","kurisutiina","rejiina","erisu","aronzo","erii","gyaretto","wirii","einzurii","bibian","shein","inguriddo","rauru","furanshisu","rodorufo","wiriamu","roozumarii","hawaado","buritanii","guregorii","raian","anbaa","oogasutasu","peneropi","jasupaa","enjeru","geirii","weido","jirian","kooderu","riana","torei","jakkuriin","diraira","kiira","roorerai","furedi","migeru","eidoriana","manyueru","teiraa","jonii","rozerin","fiirikkusu","erisha","sooyaa","anjerika","hezaa","korin","eduarudo","shoon","miriamu","burandi","terii","kurisu","era","natarii","nataria","tanaa","rafaeru","korii","neruson","adan","kaarii","ari","reishii","ririi","kyameron","riiamu","jeroomu","emirii","jeshii","gurifin","tai","aaron","danieru","iraiasu","aruberuto","esutaa","sasha","erena","chashitii","shanaia","aruma","buroderikku","ruisu","yasumin","donoban","harii","risa","magudarena","magii","koriin","richaado","taniya","debora","kurisuchan","teresa","jona","jonasu","sutera","rorii","agusutin","arekusandoria","eimii","kurifoodo","keitorin","buranden","nasanieru","beatorisu","izuraeru","daiamondo","dion","renaado","jurietto","kendora","ronan","sarubadoru","damian","firippu","niina","moogan","arissa","nikorasu","ootamu","seriin","hyuugo","hyuu","arison","dereinii","jaretto","buretto","keiden","arutuuro","rudi","bureidi","suuzan","riroi","maaron","torebaa","adorian","kaamero","essensu","emanyueru","roogan","sukotto","ribii","rianna","jerarudo","rairan","abii","rikarudo","retisha","buritonii","kasandora","arii","reishii","suzanna","kaatisu","hantaa","oribia","boon","maakasu","keishii","asshaa","erenoa","areina","riisu","niiru","tifanii","heirii","megan","jiruberuto","makkenjii","katoriina","toddo","roora","perii","kuinshii","robaato","dagurasu","heiden","aderain","benjamin","jeremaia","roorensu","dariusu","randoru","baabara","deijii","barentina","keirin","keido","paburo","teito","diana","buriana","jaabisu","antonia","jizeru","jeimii","joodan","arubaro","gureisu","emiriaano","barerii","kiana","zakarii","natarii","dein","deina","shaarotto","noeru","kaara","kaaru","wiruson","ria","sherubii","buranka","kendaru","burendon","seriina","kai","burukkurin","sandora","dafuni","reira","rinjii","toomasu","kaarii","juriana","yadira","fin","naomi","merodii","tina","dankan","jasutisu","wein","korubii","jiana","moozesu","daawin","keirii","kurisutobaru","ruuku","arishia","ruka","esutorera","arekusandaa","burendan","zabieru","dante","bera","binsento","buriana","morisu","jeido","bairon","jeida","anjeriina","resurii","ari","anjii","arii","tachiana","soromon","nesutaa","jasumin","peizurii","torisutan","burin","nataria","maririn","dejiree","koruton","josurin","kiiton","roman","anii","eriotto","seresuto","reon","izabera","samii","debin","kaara","jefurii","kaarii","buraisu","keira","josurin","maikeru","worutaa","adison","erusa","ansonii","kuinten","kyasarin","wittonii","airiin","joojia","mikaera","kebin","waiatto","dominiku","ruchiaano","dominiku","rosu","riirando","robin","nasanieru","esuperansa","ooen","fiona","dareru","cheisu","igunashio","santosu","guranto","ruusu","furankurin","arison","suteishii","gaburiera","kerii","chana","rejinarudo","koriin","beren","sarubatoore","kerii","yohan","ayana","arubin","sadiusu","purinsu","merina","eidorian","yesenia","nikkii","shidonii","kootonii","meebu","rebekka","toomasu","maruko","torisuta","ririan","amara","maraia","danika","aasaa","dona","arekusandora","pieeru","burento","gureishii","rara","an","aizaia","anna","boo","andoreasu","anariizu","kyaroru","feisu","jimii","kurinton","jirian","ariiya","sutiibun","dowein","arison","keiti","sonii","kyasuriin","izaberu","kaira","jonasan","keira","rarii","ridia","junia","rina","josaia","cherushii","erikku","paora","erika","cherushii","chado","kyasurin","chazu","gureamu","tara","nikku","niko","kira","deiru","rina","janeru","ruchia","bianka","eban","rein","rana","hiisu","keirii","wookaa","ashuton","riia","jeison","shinshia","zooi","sutiibu","keito","koodi","saimon","ameri","shiria","ririi","sukaaretto","nikooru","teresa","jiina","anika","aruden","aizea","buraianto","eiba","joeru","maikeru","ibu","raian","aria","reonarudo","jooi","kuroodia","kaataa","kaarii","kaara","jareddo","erisu","kaarii","karuro","iraiza","bikutaa","morii","anton","paipaa","sukairaa","nikorasu","rea","maurishio","rii","reo","keiden","ashurin","ruisu","maika","karubin","sutefanii","shiira","kuraaku","kurea","kurara","taron","kurisutiina","jojii","jasumin","randi","deon","tabisa","furiida","jonasan","keitorin","bibiana","buritonii","anika","geiburieru","furansesu","reinarudo","emaason","kenii","jaamein","shiera","areina","burein","enrike","kian","keirii","resurii","kamiiru","buraian","kamira","kurisutaru","gonsaro","ronarudo","derikku","dominiku","jonasan","emanyueru","kurea","nanshii","eren","okutabio","kurarisa","hyuusuton","kasandora","romiro","joanna","woren","bureiku","burijitto","shaneru","tairon","tairaa","dasutin","damian","mikaera","birii","denzeru","kuintin","maarii","raira","arehandoro","buriana","burodi","maarii","shanon","arehandora","rekkusu","rei","burakusuton","rikkii","arissa","harorudo","jeshika","furanku","morii","firippu","deibiddo","ayana","sereniti","eidorian","deibisu","oosutin","anjeriiku","kurisuchan","kendaru","masaiasu","jasutiin","hesusu","sharon","donte","sutefan","zaria","abii","mariana","gureta","kiira","ramonto","kairii","ben","roberuto","tomii","emetto","bisente","jurian","koohen","burairii","arufonso","roherio","rira","darasu","mia","kurisuta","kaarii","rinda","maasa","ririi","jonasan","montana","kaato","jorii","furederikku","kerushii","zabieru","paakaa","chaaruzu","keirii","doroshii","jei","jan","baanaado","iisan","shirubia","hoopu","jakuriin","sairasu","tiera","kyasarin","abii","taitasu","mohameddo","riido","feripe","jeimii","merusedesu","herarudo","diron","torabisu","aressandoro","baioretto","kooneriasu","desutinii","madokkusu","ruusu","rarufu","taira","ashurii","roowan","buruuno","aaron","maderin","janetto","joi","tobaiasu","joo","serena","jon","baretto","dariru","eipuriru","shiera","rodonii","rebekka","dominiku","marukomu","deniisu","yohanna","buriana","seera","erumaa","daren","keitorin","toriniti","serina","jeiden","maiku","biatorisu","ooburii","antowan","erin","burenden","wiru","maderiin","eburin","shimoon","rodorigo","kairii","eiba","fuan","riana","erikku","mashuu","sanson","poora","reimondo","diego","samansa","arana","romio","ashurii","shiomara","jakurin","noora","jeiden","bareria","ashurii","sesu","antonio","emirii","ashurii","roshio","kyarii","sabanna","ririana","sofia","burenton","dakota","rooreru","pooru","rooren","sutefen","patorishia","tonii","eida","reibun","sonia","erika","moniku","kuruuzu","ariisha","rinkaan","ferunanda","ema","ferunando","maatin","konraddo","pooriina","burandi","dejiree","piitaa","jeremii","aariin","gyaretto","wendi","kamira","wesurii","kurisutin","hanna","airisu","jasutin","kootonii","kuinton","kyarorin","guren","kyasarin","rakeru","runa","kamuden","joisu","zakarii","anaberu","hoakin","kyashidi","anetto","daniera","arekusa","shein","keitorin","maakisu","kyashii","jenii","kingusuton","jeiden","wesuton","moora","kamurin","erikku","zaria","maia","jena","jeshii","abigeiru","derikku","sandi","adamu","ransu","furanshisuko","anaberu","maagaretto","chansu","kaiden","jueru","emirii","erein","haidi","arianna"};

        for (String name : names) {

            List<List<KanjiResult>> kanjiResults = kg.generateKanji(name);

            System.out.println(name + " " + kanjiResults);


        }

    }
}
